API Hop

เอกสาร

เอกสาร API Hop

Instagram เอกสารอ้างอิงเอนด์พอยต์

>-

เลือกเอนด์พอยต์และส่งเฉพาะฟิลด์ที่ระบุในเอกสาร หากมีตัวเลือก ให้ส่งอย่างน้อยหนึ่งฟิลด์จากแต่ละกลุ่ม ค่าแบ่งหน้าต้องมาจากการตอบกลับก่อนหน้า ไม่มีการแบ่งหน้าอัตโนมัติ

ทุกการดำเนินการใช้พารามิเตอร์คิวรี GET โดยไม่มีเนื้อหาคำขอ ส่วนเวอร์ชันเลือกเวอร์ชันอินเทอร์เฟซ Instagram ฟิลด์ที่ไม่รู้จักหรือซ้ำจะถูกปฏิเสธ เก็บตัวระบุและเคอร์เซอร์แบ่งหน้าเป็นสตริง รวมถึงค่าที่มากกว่าช่วงตัวเลขปลอดภัยของ JavaScript

ราคาคิดต่อคำขอสำเร็จ ไม่ใช่ต่อรายการที่ส่งกลับ แต่ละหน้าเป็นคำขอแยก V1 ราคา $0.001; V2 ราคา $0.002; V3 ราคา $0.008 ยกเว้นเครื่องมือ shortcode สามรายการราคา $0.002 ราคาประจำบัญชีมีผลก่อน ส่วนลดปริมาณของผู้ให้บริการไม่ได้ส่งต่ออัตโนมัติ การเรียกต้นทางล้มเหลวจะคืนยอดที่กันไว้ การชำระยอดล้มเหลวส่งข้อผิดพลาดและไม่เรียกต้นทางซ้ำ

v1-shortcode_to_media_id

GET https://api.apihop.ai/v1/instagram/v1/media-ids

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
shortcodeใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/media-ids" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "shortcode=DRhvwVLAHAG"

v1-media_id_to_shortcode

GET https://api.apihop.ai/v1/instagram/v1/shortcodes

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
media_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/shortcodes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "media_id=3774507992167247878"

v1-user_id_to_username

GET https://api.apihop.ai/v1/instagram/v1/users/username

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/username" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=18527"

v1-fetch_user_info_by_username

GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-username

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-username" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v1-fetch_user_info_by_username_v2

GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-username-v2

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-username-v2" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v1-fetch_user_info_by_username_v3

GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-username-v3

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-username-v3" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v1-fetch_user_info_by_id

GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-id

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-id" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=25025320"

v1-fetch_user_info_by_id_v2

GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-id-v2

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-id-v2" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=25025320"

v1-fetch_user_about_info

GET https://api.apihop.ai/v1/instagram/v1/users/about

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/about" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=182988865"

v1-fetch_user_posts

GET https://api.apihop.ai/v1/instagram/v1/users/posts

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
countไม่integer; >= 1; <= 50
max_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=25025320"

v1-fetch_user_posts_v2

GET https://api.apihop.ai/v1/instagram/v1/users/posts-v2

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
countไม่integer; >= 1; <= 50
end_cursorไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/posts-v2" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=25025320"

v1-fetch_user_reels

GET https://api.apihop.ai/v1/instagram/v1/users/reels

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
countไม่integer; >= 1; <= 50
max_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/reels" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=25025320"

v1-fetch_user_reposts

GET https://api.apihop.ai/v1/instagram/v1/users/reposts

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
max_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/reposts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=25025320"

v1-fetch_user_tagged_posts

GET https://api.apihop.ai/v1/instagram/v1/users/tagged-posts

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
countไม่integer; >= 1; <= 50
end_cursorไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/tagged-posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=25025320"

GET https://api.apihop.ai/v1/instagram/v1/users/related

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/users/related" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=25025320"

GET https://api.apihop.ai/v1/instagram/v1/search

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
queryใช่string
selectไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/search" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "query=taylorswift"

v1-fetch_post_by_url

GET https://api.apihop.ai/v1/instagram/v1/posts/by-url

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
post_urlใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/posts/by-url" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "post_url=https://www.instagram.com/p/DPwhVB-jo9k/"

v1-fetch_post_by_url_v2

GET https://api.apihop.ai/v1/instagram/v1/posts/by-url-v2

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
post_urlใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/posts/by-url-v2" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "post_url=https://www.instagram.com/p/DPwhVB-jo9k/"

v1-fetch_post_by_id

GET https://api.apihop.ai/v1/instagram/v1/posts/by-id

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
post_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/posts/by-id" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "post_id=3742637871112032100"

v1-fetch_post_comments_v2

GET https://api.apihop.ai/v1/instagram/v1/posts/comments-v2

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
media_idใช่string
sort_orderไม่string
min_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/posts/comments-v2" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "media_id=3766120364183949816"

v1-fetch_comment_replies

GET https://api.apihop.ai/v1/instagram/v1/comments/replies

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
media_idใช่string
comment_idใช่string
min_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/comments/replies" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "media_id=3766120364183949816" \
  --data-urlencode "comment_id=17871667485468098"

v1-fetch_music_posts

GET https://api.apihop.ai/v1/instagram/v1/music/posts

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

อย่างน้อยหนึ่งรายการ: music_id, music_url.

ฟิลด์จำเป็นข้อกำหนด
music_idไม่string
music_urlไม่string
max_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/music/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "music_id=564058920086577"

v1-fetch_hashtag_posts

GET https://api.apihop.ai/v1/instagram/v1/hashtags/posts

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
hashtagใช่string
end_cursorไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/hashtags/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "hashtag=cat"

v1-fetch_location_info

GET https://api.apihop.ai/v1/instagram/v1/locations/info

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
location_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/locations/info" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "location_id=703457703"

v1-fetch_location_posts

GET https://api.apihop.ai/v1/instagram/v1/locations/posts

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
location_idใช่string
tabไม่string
end_cursorไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/locations/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "location_id=703457703"

v1-fetch_cities

GET https://api.apihop.ai/v1/instagram/v1/locations/cities

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
country_codeใช่string
pageไม่integer; >= 1
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/locations/cities" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "country_code=US"

v1-fetch_locations

GET https://api.apihop.ai/v1/instagram/v1/locations

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
city_idใช่string
pageไม่integer; >= 1
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/locations" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "city_id=c2791472"

v1-fetch_explore_sections

GET https://api.apihop.ai/v1/instagram/v1/explore/sections

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ไม่มีพารามิเตอร์คิวรี

bash
curl --get "https://api.apihop.ai/v1/instagram/v1/explore/sections" \
  -H "Authorization: Bearer YOUR_API_KEY"

v1-fetch_section_posts

GET https://api.apihop.ai/v1/instagram/v1/explore/sections/posts

ราคาต่อคำขอสำเร็จ: $0.001 (1000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
section_idใช่string
countไม่integer; >= 1; <= 50
max_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v1/explore/sections/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "section_id=10156104410190727"

v2-shortcode_to_media_id

GET https://api.apihop.ai/v1/instagram/v2/media-ids

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
shortcodeใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/media-ids" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "shortcode=DRhvwVLAHAG"

v2-media_id_to_shortcode

GET https://api.apihop.ai/v1/instagram/v2/shortcodes

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
media_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/shortcodes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "media_id=3774507992167247878"

v2-user_id_to_username

GET https://api.apihop.ai/v1/instagram/v2/users/username

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/users/username" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=18527"

v2-fetch_user_info

GET https://api.apihop.ai/v1/instagram/v2/users/profile

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

อย่างน้อยหนึ่งรายการ: username, user_id.

ฟิลด์จำเป็นข้อกำหนด
usernameไม่string
user_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/users/profile" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v2-fetch_user_posts

GET https://api.apihop.ai/v1/instagram/v2/users/posts

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

อย่างน้อยหนึ่งรายการ: username, user_id.

ฟิลด์จำเป็นข้อกำหนด
usernameไม่string
user_idไม่string
pagination_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/users/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v2-fetch_user_reels

GET https://api.apihop.ai/v1/instagram/v2/users/reels

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

อย่างน้อยหนึ่งรายการ: username, user_id.

ฟิลด์จำเป็นข้อกำหนด
usernameไม่string
user_idไม่string
pagination_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/users/reels" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v2-fetch_user_followers

GET https://api.apihop.ai/v1/instagram/v2/users/followers

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

อย่างน้อยหนึ่งรายการ: username, user_id.

ฟิลด์จำเป็นข้อกำหนด
usernameไม่string
user_idไม่string
pagination_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/users/followers" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v2-fetch_user_following

GET https://api.apihop.ai/v1/instagram/v2/users/following

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

อย่างน้อยหนึ่งรายการ: username, user_id.

ฟิลด์จำเป็นข้อกำหนด
usernameไม่string
user_idไม่string
pagination_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/users/following" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v2-fetch_user_stories

GET https://api.apihop.ai/v1/instagram/v2/users/stories

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

อย่างน้อยหนึ่งรายการ: username, user_id.

ฟิลด์จำเป็นข้อกำหนด
usernameไม่string
user_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/users/stories" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v2-fetch_user_highlights

GET https://api.apihop.ai/v1/instagram/v2/users/highlights

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

อย่างน้อยหนึ่งรายการ: username, user_id.

ฟิลด์จำเป็นข้อกำหนด
usernameไม่string
user_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/users/highlights" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v2-fetch_highlight_stories

GET https://api.apihop.ai/v1/instagram/v2/highlights/stories

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
highlight_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/highlights/stories" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "highlight_id=17895069621772257"

v2-fetch_user_tagged_posts

GET https://api.apihop.ai/v1/instagram/v2/users/tagged-posts

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

อย่างน้อยหนึ่งรายการ: username, user_id.

ฟิลด์จำเป็นข้อกำหนด
usernameไม่string
user_idไม่string
pagination_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/users/tagged-posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v2-fetch_similar_users

GET https://api.apihop.ai/v1/instagram/v2/users/similar

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

อย่างน้อยหนึ่งรายการ: username, user_id.

ฟิลด์จำเป็นข้อกำหนด
usernameไม่string
user_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/users/similar" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v2-search_users

GET https://api.apihop.ai/v1/instagram/v2/search/users

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
keywordใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/search/users" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "keyword=instagram"

GET https://api.apihop.ai/v1/instagram/v2/search

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
keywordใช่string
pagination_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/search" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "keyword=cat"

v2-search_reels

GET https://api.apihop.ai/v1/instagram/v2/search/reels

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
keywordใช่string
pagination_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/search/reels" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "keyword=cat"

v2-search_music

GET https://api.apihop.ai/v1/instagram/v2/search/music

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
keywordใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/search/music" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "keyword=happy"

v2-search_hashtags

GET https://api.apihop.ai/v1/instagram/v2/search/hashtags

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
keywordใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/search/hashtags" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "keyword=cat"

v2-search_locations

GET https://api.apihop.ai/v1/instagram/v2/search/locations

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
keywordใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/search/locations" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "keyword=paris"

v2-search_by_coordinates

GET https://api.apihop.ai/v1/instagram/v2/locations/nearby

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
latitudeใช่number
longitudeใช่number
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/locations/nearby" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "latitude=40.7" \
  --data-urlencode "longitude=-74"

v2-fetch_post_info

GET https://api.apihop.ai/v1/instagram/v2/posts/info

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
code_or_urlใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/posts/info" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "code_or_url=DRhvwVLAHAG"

v2-fetch_post_likes

GET https://api.apihop.ai/v1/instagram/v2/posts/likes

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
code_or_urlใช่string
end_cursorไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/posts/likes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "code_or_url=DRhvwVLAHAG"

v2-fetch_post_comments

GET https://api.apihop.ai/v1/instagram/v2/posts/comments

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
code_or_urlใช่string
sort_byไม่string
pagination_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/posts/comments" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "code_or_url=DRhvwVLAHAG"

v2-fetch_comment_replies

GET https://api.apihop.ai/v1/instagram/v2/comments/replies

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
code_or_urlใช่string
comment_idใช่string
pagination_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/comments/replies" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "code_or_url=DRhvwVLAHAG" \
  --data-urlencode "comment_id=18067775592012345"

v2-fetch_music_posts

GET https://api.apihop.ai/v1/instagram/v2/music/posts

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
audio_canonical_idใช่string
pagination_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/music/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "audio_canonical_id=564058920086577"

v2-fetch_location_posts

GET https://api.apihop.ai/v1/instagram/v2/locations/posts

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
location_idใช่string
pagination_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/locations/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "location_id=331004901"

v2-fetch_hashtag_posts

GET https://api.apihop.ai/v1/instagram/v2/hashtags/posts

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
keywordใช่string
feed_typeไม่string
pagination_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v2/hashtags/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "keyword=cat"

v3-search_users

GET https://api.apihop.ai/v1/instagram/v3/search/users

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
queryใช่string
rank_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/search/users" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "query=justin"

v3-search_hashtags

GET https://api.apihop.ai/v1/instagram/v3/search/hashtags

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
queryใช่string
rank_tokenไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/search/hashtags" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "query=fashion"

GET https://api.apihop.ai/v1/instagram/v3/search

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
queryใช่string
next_max_idไม่string
rank_tokenไม่string
enable_metadataไม่boolean
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/search" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "query=justin"

v3-get_user_id_by_username

GET https://api.apihop.ai/v1/instagram/v3/users/id

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/id" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=liensue.talks"

v3-user_id_to_username

GET https://api.apihop.ai/v1/instagram/v3/users/username

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/username" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=25025320"

v3-get_user_profile

GET https://api.apihop.ai/v1/instagram/v3/users/profile

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/profile" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v3-get_user_brief

GET https://api.apihop.ai/v1/instagram/v3/users/brief

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
usernameใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/brief" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=791258468" \
  --data-urlencode "username=99brasil"

v3-get_user_posts

GET https://api.apihop.ai/v1/instagram/v3/users/posts

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
firstไม่integer; >= 1; <= 50
afterไม่string
beforeไม่string
lastไม่integer
countไม่integer
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=99brasil"

v3-get_user_tagged_posts

GET https://api.apihop.ai/v1/instagram/v3/users/tagged-posts

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
firstไม่integer; >= 1; <= 50
afterไม่string
beforeไม่string
lastไม่integer
countไม่integer
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/tagged-posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v3-get_user_reels

GET https://api.apihop.ai/v1/instagram/v3/users/reels

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
firstไม่integer; >= 1; <= 50
afterไม่string
beforeไม่string
lastไม่integer
page_sizeไม่integer
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/reels" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v3-get_user_highlights

GET https://api.apihop.ai/v1/instagram/v3/users/highlights

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
firstไม่integer; >= 1; <= 50
afterไม่string
beforeไม่string
lastไม่integer
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/highlights" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v3-get_highlight_stories

GET https://api.apihop.ai/v1/instagram/v3/highlights/stories

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
highlight_idใช่string
reel_idsไม่string
firstไม่integer
lastไม่integer
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/highlights/stories" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "highlight_id=highlight:18064916456320419"

v3-get_user_about

GET https://api.apihop.ai/v1/instagram/v3/users/about

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/about" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v3-get_user_former_usernames

GET https://api.apihop.ai/v1/instagram/v3/users/former-usernames

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/former-usernames" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v3-get_user_stories

GET https://api.apihop.ai/v1/instagram/v3/users/stories

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/stories" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

GET https://api.apihop.ai/v1/instagram/v3/reels/recommended

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
firstไม่integer; >= 1; <= 50
afterไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/reels/recommended" \
  -H "Authorization: Bearer YOUR_API_KEY"

v3-get_post_info

GET https://api.apihop.ai/v1/instagram/v3/posts/info

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

อย่างน้อยหนึ่งรายการ: media_id, url.

ฟิลด์จำเป็นข้อกำหนด
media_idไม่string
urlไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/info" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "media_id=3850699893338385742"

v3-get_post_info_by_code

GET https://api.apihop.ai/v1/instagram/v3/posts/by-code

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
codeใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/by-code" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "code=DUajw4YkorV"

v3-get_post_comments

GET https://api.apihop.ai/v1/instagram/v3/posts/comments

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
codeใช่string
min_idไม่string
sort_orderไม่string; popular, newest
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/comments" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "code=DUajw4YkorV"

v3-get_comment_replies

GET https://api.apihop.ai/v1/instagram/v3/comments/replies

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
media_idใช่string
comment_idใช่string
min_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/comments/replies" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "media_id=3829530490739515971" \
  --data-urlencode "comment_id=18065937092249736"

v3-get_post_oembed

GET https://api.apihop.ai/v1/instagram/v3/posts/oembed

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
urlใช่string
hidecaptionไม่boolean
maxwidthไม่integer
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/oembed" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "url=https://www.instagram.com/reel/DUlObENDmJD"

v3-translate_comment

GET https://api.apihop.ai/v1/instagram/v3/comments/translation

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
comment_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/comments/translation" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "comment_id=18191961100350646"

v3-bulk_translate_comments

GET https://api.apihop.ai/v1/instagram/v3/comments/translations

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
comment_idsใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/comments/translations" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "comment_ids=18099342953509681"

v3-get_explore

GET https://api.apihop.ai/v1/instagram/v3/explore

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
max_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/explore" \
  -H "Authorization: Bearer YOUR_API_KEY"

v3-get_user_following

GET https://api.apihop.ai/v1/instagram/v3/users/following

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
countไม่integer; >= 1; <= 100
max_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/following" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v3-get_user_followers

GET https://api.apihop.ai/v1/instagram/v3/users/followers

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
usernameใช่string
countไม่integer; >= 1; <= 100
max_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/followers" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "username=instagram"

v3-get_location_info

GET https://api.apihop.ai/v1/instagram/v3/locations/info

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
location_idใช่string
show_nearbyไม่boolean
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/locations/info" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "location_id=1016248898"

v3-get_location_posts

GET https://api.apihop.ai/v1/instagram/v3/locations/posts

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
location_idใช่string
tabไม่string; ranked, recent
firstไม่integer; >= 1; <= 50
afterไม่string
page_size_overrideไม่integer
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/locations/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "location_id=1016248898"

v3-get_location_nearby

GET https://api.apihop.ai/v1/instagram/v3/locations/nearby-content

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
location_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/locations/nearby-content" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "location_id=213385402"

v3-shortcode_to_media_id

GET https://api.apihop.ai/v1/instagram/v3/media-ids

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
shortcodeใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/media-ids" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "shortcode=CrgVBtHrFHm"

v3-media_id_to_shortcode

GET https://api.apihop.ai/v1/instagram/v3/shortcodes

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
media_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/shortcodes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "media_id=3850699893338385742"

v3-extract_shortcode

GET https://api.apihop.ai/v1/instagram/v3/shortcodes/from-url

ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
urlใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/shortcodes/from-url" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "url=https://www.instagram.com/p/CrgVBtHrFHm/"

v3-get_post_likes

GET https://api.apihop.ai/v1/instagram/v3/posts/likes

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
codeใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/likes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "code=DavSf9yS6wy"

v3-get_similar_users

GET https://api.apihop.ai/v1/instagram/v3/users/similar

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
user_idใช่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/users/similar" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "user_id=25025320"

v3-search_by_coordinates

GET https://api.apihop.ai/v1/instagram/v3/locations/nearby

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
latitudeใช่number
longitudeใช่number
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/locations/nearby" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "latitude=40.7" \
  --data-urlencode "longitude=-74"

v3-get_hashtag_posts

GET https://api.apihop.ai/v1/instagram/v3/hashtags/posts

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
tagใช่string
max_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/hashtags/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "tag=cat"

v3-get_music_posts

GET https://api.apihop.ai/v1/instagram/v3/music/posts

ราคาต่อคำขอสำเร็จ: $0.008 (8000 เครดิต).

ฟิลด์จำเป็นข้อกำหนด
audio_cluster_idใช่string
max_idไม่string
bash
curl --get "https://api.apihop.ai/v1/instagram/v3/music/posts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  --data-urlencode "audio_cluster_id=18066165960103621"

การตอบกลับ

คงการตอบกลับ JSON เดิม รวมถึงโครงสร้าง code/data และความแม่นยำตัวเลข รูปแบบแตกต่างตามการดำเนินการ ผลลัพธ์ว่างที่สำเร็จอาจคิดค่าบริการ ข้อผิดพลาดไม่ใช่ผลลัพธ์ว่าง ตัวอย่างต่อไปนี้ใช้ประกอบคำอธิบาย ไม่ใช่การตอบกลับจริง

json
{"code":200,"data":{"user":{"id":"25025320","username":"instagram"}}}

ข้อผิดพลาด

ข้อผิดพลาดแพลตฟอร์มใช้ HTTP 400 สำหรับพารามิเตอร์ไม่ถูกต้อง 401 สำหรับการยืนยันตัวตนไม่ถูกต้อง 402 สำหรับเครดิตไม่พอ 403 สำหรับปฏิเสธสิทธิ์เกตเวย์ 429 สำหรับจำกัดอัตรา และ 5xx สำหรับบริการหรือผู้ให้บริการล้มเหลว เก็บ X-Request-Id เพื่อแก้ปัญหา อย่าถือ HTTP 200 จากต้นทางที่มีรหัสธุรกิจล้มเหลวว่าสำเร็จ

แหล่งข้อมูล

ตรวจรายการเอนด์พอยต์และราคากับสคีมาทางการและเมทาดาทาราคาปัจจุบันเมื่อ 2026-10-31 เมทาดาทาปัจจุบันมีผลก่อนราคาที่เขียนบรรยายหากขัดกัน

TikHub · OpenAPI · ราคา